ArrayListWrapper (Commons JEXL 2.0.1 API)
Keywords: org.apache.commons.jexl2.internal.ArrayListWrapper class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jexl2.internal
Class ArrayListWrapper

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<java.lang.Object>
              org.apache.commons.jexl2.internal.ArrayListWrapper

All Implemented Interfaces:
  java.lang.Iterable<java.lang.Object>, java.util.Collection<java.lang.Object>, java.util.List<java.lang.Object>

    public class ArrayListWrapper

extends java.util.AbstractList<java.lang.Object>

A class that wraps an array with a List interface.

Version:
  $Revision$ $Date: 2006-04-14 19:40:41 $
Author:
  Chris Schultz <chris@christopherschultz.net$gt;

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`ArrayListWrapper(java.lang.Object anArray)` Create the wrapper.

Method Summary
`java.lang.Object` | `get(int index)`
`java.lang.Object` | `set(int index, java.lang.Object element)`
`int` | `size()`

Methods inherited from class java.util.AbstractList
`add, add, addAll, clear, equals, hashCode, indexOf, iterator, lastIndexOf, listIterator, listIterator, remove, removeRange, subList`

Methods inherited from class java.util.AbstractCollection
`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray`

Constructor Detail

### ArrayListWrapper

    public ArrayListWrapper(java.lang.Object anArray)

  Create the wrapper.

  Parameters:
    `anArray` - `array`

Method Detail

### get

    public java.lang.Object get(int index)

  Specified by:
    `get` in interface `java.util.List<java.lang.Object>`
  Specified by:
    `get` in class `java.util.AbstractList<java.lang.Object>`

### set

    public java.lang.Object set(int index,
                                java.lang.Object element)

  Specified by:
    `set` in interface `java.util.List<java.lang.Object>`
  Overrides:
    `set` in class `java.util.AbstractList<java.lang.Object>`

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Collection<java.lang.Object>`
  Specified by:
    `size` in interface `java.util.List<java.lang.Object>`
  Specified by:
    `size` in class `java.util.AbstractCollection<java.lang.Object>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.